// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/lcr.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type VoipGatewayRate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *VoipGatewayRate) Reset() {
	*x = VoipGatewayRate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_lcr_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VoipGatewayRate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VoipGatewayRate) ProtoMessage() {}

func (x *VoipGatewayRate) ProtoReflect() protoreflect.Message {
	mi := &file_admin_lcr_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VoipGatewayRate.ProtoReflect.Descriptor instead.
func (*VoipGatewayRate) Descriptor() ([]byte, []int) {
	return file_admin_lcr_proto_rawDescGZIP(), []int{0}
}

func (x *VoipGatewayRate) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *VoipGatewayRate) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type VoipGatewayPrefixRate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Prefix   string  `protobuf:"bytes,1,opt,name=prefix,proto3" json:"prefix,omitempty"`      // префикс набора
	Rateid   string  `protobuf:"bytes,2,opt,name=rateid,proto3" json:"rateid,omitempty"`      // родительский id рейта
	Minute   float64 `protobuf:"fixed64,3,opt,name=minute,proto3" json:"minute,omitempty"`    // стоимость одной минуты
	Billeach int32   `protobuf:"varint,4,opt,name=billeach,proto3" json:"billeach,omitempty"` // порог округления в секундах (1 посекундно, 60 - поминутно)
	Comment  string  `protobuf:"bytes,6,opt,name=comment,proto3" json:"comment,omitempty"`    // комментарий
	Updated  int64   `protobuf:"varint,7,opt,name=updated,proto3" json:"updated,omitempty"`   // время последнего обновления
}

func (x *VoipGatewayPrefixRate) Reset() {
	*x = VoipGatewayPrefixRate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_lcr_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VoipGatewayPrefixRate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VoipGatewayPrefixRate) ProtoMessage() {}

func (x *VoipGatewayPrefixRate) ProtoReflect() protoreflect.Message {
	mi := &file_admin_lcr_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VoipGatewayPrefixRate.ProtoReflect.Descriptor instead.
func (*VoipGatewayPrefixRate) Descriptor() ([]byte, []int) {
	return file_admin_lcr_proto_rawDescGZIP(), []int{1}
}

func (x *VoipGatewayPrefixRate) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *VoipGatewayPrefixRate) GetRateid() string {
	if x != nil {
		return x.Rateid
	}
	return ""
}

func (x *VoipGatewayPrefixRate) GetMinute() float64 {
	if x != nil {
		return x.Minute
	}
	return 0
}

func (x *VoipGatewayPrefixRate) GetBilleach() int32 {
	if x != nil {
		return x.Billeach
	}
	return 0
}

func (x *VoipGatewayPrefixRate) GetComment() string {
	if x != nil {
		return x.Comment
	}
	return ""
}

func (x *VoipGatewayPrefixRate) GetUpdated() int64 {
	if x != nil {
		return x.Updated
	}
	return 0
}

var File_admin_lcr_proto protoreflect.FileDescriptor

var file_admin_lcr_proto_rawDesc = []byte{
	0x0a, 0x0f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x6c, 0x63, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x35, 0x0a, 0x0f, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74,
	0x65, 0x77, 0x61, 0x79, 0x52, 0x61, 0x74, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0xaf, 0x01, 0x0a,
	0x15, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x50, 0x72, 0x65, 0x66,
	0x69, 0x78, 0x52, 0x61, 0x74, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x16,
	0x0a, 0x06, 0x72, 0x61, 0x74, 0x65, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x72, 0x61, 0x74, 0x65, 0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x01, 0x52, 0x06, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x12, 0x1a,
	0x0a, 0x08, 0x62, 0x69, 0x6c, 0x6c, 0x65, 0x61, 0x63, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x08, 0x62, 0x69, 0x6c, 0x6c, 0x65, 0x61, 0x63, 0x68, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f,
	0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x6d,
	0x6d, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x32, 0x8d,
	0x05, 0x0a, 0x03, 0x4c, 0x43, 0x52, 0x12, 0x56, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x12, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x52, 0x61, 0x74, 0x65, 0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56,
	0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x52, 0x61, 0x74, 0x65, 0x12, 0x56,
	0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e,
	0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x52, 0x61, 0x74, 0x65, 0x1a,
	0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77,
	0x61, 0x79, 0x52, 0x61, 0x74, 0x65, 0x12, 0x53, 0x0a, 0x03, 0x47, 0x65, 0x74, 0x12, 0x25, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79,
	0x52, 0x61, 0x74, 0x65, 0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70,
	0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x52, 0x61, 0x74, 0x65, 0x12, 0x49, 0x0a, 0x04, 0x4c,
	0x69, 0x73, 0x74, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x1a, 0x25, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79,
	0x52, 0x61, 0x74, 0x65, 0x30, 0x01, 0x12, 0x68, 0x0a, 0x0c, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x2b, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f,
	0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52,
	0x61, 0x74, 0x65, 0x1a, 0x2b, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x61, 0x74, 0x65,
	0x12, 0x68, 0x0a, 0x0c, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x12, 0x2b, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x61, 0x74, 0x65, 0x1a, 0x2b, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79,
	0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x61, 0x74, 0x65, 0x12, 0x62, 0x0a, 0x0a, 0x4c, 0x69,
	0x73, 0x74, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e,
	0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x52, 0x61, 0x74, 0x65, 0x1a,
	0x2b, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77,
	0x61, 0x79, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x61, 0x74, 0x65, 0x30, 0x01, 0x42, 0x68,
	0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x42, 0x07, 0x4c, 0x43, 0x52, 0x54, 0x79, 0x70, 0x65, 0x50,
	0x00, 0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65,
	0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xa2, 0x02,
	0x07, 0x4c, 0x43, 0x52, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_lcr_proto_rawDescOnce sync.Once
	file_admin_lcr_proto_rawDescData = file_admin_lcr_proto_rawDesc
)

func file_admin_lcr_proto_rawDescGZIP() []byte {
	file_admin_lcr_proto_rawDescOnce.Do(func() {
		file_admin_lcr_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_lcr_proto_rawDescData)
	})
	return file_admin_lcr_proto_rawDescData
}

var file_admin_lcr_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_admin_lcr_proto_goTypes = []interface{}{
	(*VoipGatewayRate)(nil),       // 0: com.freeje.api.admin.VoipGatewayRate
	(*VoipGatewayPrefixRate)(nil), // 1: com.freeje.api.admin.VoipGatewayPrefixRate
	(*api.SearchFilter)(nil),      // 2: com.freeje.SearchFilter
}
var file_admin_lcr_proto_depIdxs = []int32{
	0, // 0: com.freeje.api.admin.LCR.Update:input_type -> com.freeje.api.admin.VoipGatewayRate
	0, // 1: com.freeje.api.admin.LCR.Delete:input_type -> com.freeje.api.admin.VoipGatewayRate
	0, // 2: com.freeje.api.admin.LCR.Get:input_type -> com.freeje.api.admin.VoipGatewayRate
	2, // 3: com.freeje.api.admin.LCR.List:input_type -> com.freeje.SearchFilter
	1, // 4: com.freeje.api.admin.LCR.UpdatePrefix:input_type -> com.freeje.api.admin.VoipGatewayPrefixRate
	1, // 5: com.freeje.api.admin.LCR.DeletePrefix:input_type -> com.freeje.api.admin.VoipGatewayPrefixRate
	0, // 6: com.freeje.api.admin.LCR.ListPrefix:input_type -> com.freeje.api.admin.VoipGatewayRate
	0, // 7: com.freeje.api.admin.LCR.Update:output_type -> com.freeje.api.admin.VoipGatewayRate
	0, // 8: com.freeje.api.admin.LCR.Delete:output_type -> com.freeje.api.admin.VoipGatewayRate
	0, // 9: com.freeje.api.admin.LCR.Get:output_type -> com.freeje.api.admin.VoipGatewayRate
	0, // 10: com.freeje.api.admin.LCR.List:output_type -> com.freeje.api.admin.VoipGatewayRate
	1, // 11: com.freeje.api.admin.LCR.UpdatePrefix:output_type -> com.freeje.api.admin.VoipGatewayPrefixRate
	1, // 12: com.freeje.api.admin.LCR.DeletePrefix:output_type -> com.freeje.api.admin.VoipGatewayPrefixRate
	1, // 13: com.freeje.api.admin.LCR.ListPrefix:output_type -> com.freeje.api.admin.VoipGatewayPrefixRate
	7, // [7:14] is the sub-list for method output_type
	0, // [0:7] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_admin_lcr_proto_init() }
func file_admin_lcr_proto_init() {
	if File_admin_lcr_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_lcr_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VoipGatewayRate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_lcr_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VoipGatewayPrefixRate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_lcr_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_lcr_proto_goTypes,
		DependencyIndexes: file_admin_lcr_proto_depIdxs,
		MessageInfos:      file_admin_lcr_proto_msgTypes,
	}.Build()
	File_admin_lcr_proto = out.File
	file_admin_lcr_proto_rawDesc = nil
	file_admin_lcr_proto_goTypes = nil
	file_admin_lcr_proto_depIdxs = nil
}
